Web lists-archives.com

[Samba] sambaundoguididx




On Sun, 2018-05-20 at 15:58 +0100, Rowland Penny via samba wrote:
> 
> If it was 4.8.1, I suppose you didn't see the warnings about using
> 4.8.0 or 4.8.1 to upgrade (yes, adding a new DC can be classed as
> upgrading). I think you need to run 'sambaundoguididx' (its a script
> supplied with Samba), then demote your new DC and then RENAME it and
> give it a new ipaddress. Now install 4.8.2 ( it was released early to
> deal with this problem) and try again.

G'Day Rowland,

Just to fill you in on when we do and do not need this script.

There is no need to run undoguidindex on any working domain.  

The case it is supplied for is for failed upgrades between Samba 4.7
and 4.8, or the case where a downgrade is required.  

Any newly provisioned domain or DC joined using samba-tool running
Samba 4.8 and staying on Samba 4.8 does not need it, (they will have
started with the GUID index mode, and as long as the provision or join
succeeded the danger is past). 

I hope this clarifies things,

Andrew Bartlett

-- 
Andrew Bartlett                       http://samba.org/~abartlet/
Authentication Developer, Samba Team  http://samba.org
Samba Developer, Catalyst IT          http://catalyst.net.nz/services/samba


-- 
To unsubscribe from this list go to the following URL and read the
instructions:  https://lists.samba.org/mailman/options/samba